import { GeneratedTheme, HexString, ThemeColors, ThemeDefinition, ThemeOptions } from './color-types';
import * as i0 from "@angular/core";
export declare class NxThemeProviderService {
    private colorGenerator;
    private syncWithClient$;
    private readonly theme;
    currentTheme: import("@angular/core").Signal<{
        theme: ThemeDefinition<ThemeColors>;
        options: ThemeOptions;
    }>;
    readonly colors: import("@angular/core").Signal<GeneratedTheme>;
    updateThemeOptions(options: ThemeOptions): void;
    updateThemeColor(theme: Partial<ThemeDefinition>): void;
    updateThemeColor(colorName: ThemeColors, colorValue: HexString): void;
    toggleTheme(inverse?: boolean): void;
    getColorsWithThemeOverride(options: ThemeOptions): GeneratedTheme;
    private twoWaySyncChannel;
    private iframeThemeProvider;
    private parentThemeConsumer;
    private notify;
    setBackgroundColors(): void;
    private updateStorybookBackground;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NxThemeProviderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NxThemeProviderService>;
}
